Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
eZ\Bundle\EzPublishCoreBundle\Features\Context\ContentPreviewContext Class Reference
Inheritance diagram for eZ\Bundle\EzPublishCoreBundle\Features\Context\ContentPreviewContext:

## Public Member Functions
| gatherContexts (BeforeScenarioScope $scope)
| @BeforeScenario More...
| iCreateDraftOfContentTypeWithCustomLocationController ()
| @Given /^I create a draft for a content type that uses a custom location controller$/ More...
| iPreviewThisDraft ()
| @When /^I preview this draft$/ More...
| theOutputIsValid ()
| @Then /^the output is valid$/ More...
| iSeeAPreviewOfTheCurrentDraft ()
| @Then /^I see a preview of this draft$/ More...
| iModifyAFieldFromTheDraft ()
| This could belong in the content context. More...

## Protected Member Functions
| checkForExceptions ()

## Private Member Functions
| mapToVersionViewUri (VersionInfo $version)

## Private Attributes
| $contentContext

## Detailed Description

Definition at line 18 of file ContentPreviewContext.php.

## Member Function Documentation

## ◆ checkForExceptions()

eZ\Bundle\EzPublishCoreBundle\Features\Context\ContentPreviewContext::checkForExceptions | ( |  | ) |
| protected

Definition at line 76 of file ContentPreviewContext.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\Features\Context\ContentPreviewContext\theOutputIsValid().

## ◆ gatherContexts()

eZ\Bundle\EzPublishCoreBundle\Features\Context\ContentPreviewContext::gatherContexts | ( | BeforeScenarioScope | $scope | ) |

@BeforeScenario

Definition at line 26 of file ContentPreviewContext.php.

## ◆ iCreateDraftOfContentTypeWithCustomLocationController()

eZ\Bundle\EzPublishCoreBundle\Features\Context\ContentPreviewContext::iCreateDraftOfContentTypeWithCustomLocationController | ( |  | ) |

@Given /^I create a draft for a content type that uses a custom location controller$/

Definition at line 36 of file ContentPreviewContext.php.

## ◆ iModifyAFieldFromTheDraft()

eZ\Bundle\EzPublishCoreBundle\Features\Context\ContentPreviewContext::iModifyAFieldFromTheDraft | ( |  | ) |

This could belong in the content context.

@Given /^I modify a field from the draft$/

Definition at line 115 of file ContentPreviewContext.php.

## ◆ iPreviewThisDraft()

eZ\Bundle\EzPublishCoreBundle\Features\Context\ContentPreviewContext::iPreviewThisDraft | ( |  | ) |

@When /^I preview this draft$/

Definition at line 50 of file ContentPreviewContext.php.

References eZ\Bundle\EzPublishCoreBundle\Features\Context\ContentPreviewContext\mapToVersionViewUri().

## ◆ iSeeAPreviewOfTheCurrentDraft()

eZ\Bundle\EzPublishCoreBundle\Features\Context\ContentPreviewContext::iSeeAPreviewOfTheCurrentDraft | ( |  | ) |

@Then /^I see a preview of this draft$/

Definition at line 101 of file ContentPreviewContext.php.

## ◆ mapToVersionViewUri()

eZ\Bundle\EzPublishCoreBundle\Features\Context\ContentPreviewContext::mapToVersionViewUri | ( | VersionInfo | $version | ) |
| private

Returns
  string

Definition at line 58 of file ContentPreviewContext.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\Features\Context\ContentPreviewContext\iPreviewThisDraft().

## ◆ theOutputIsValid()

eZ\Bundle\EzPublishCoreBundle\Features\Context\ContentPreviewContext::theOutputIsValid | ( |  | ) |

@Then /^the output is valid$/

Definition at line 71 of file ContentPreviewContext.php.

References eZ\Bundle\EzPublishCoreBundle\Features\Context\ContentPreviewContext\checkForExceptions().

## Member Data Documentation

## ◆ $contentContext

eZ\Bundle\EzPublishCoreBundle\Features\Context\ContentPreviewContext::$contentContext
| private

Definition at line 23 of file ContentPreviewContext.php.

The documentation for this class was generated from the following file:

- ContentPreviewContext.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.